//[core](../../../../index.md)/[com.yandex.payment.sdk.core.data](../../index.md)/[BankAppInfo](../index.md)/[DeviceInfo](index.md)

# DeviceInfo

[core]\
class [DeviceInfo](index.md)(**name**: String, **scheme**: String, **resolveInfo**: ResolveInfo) : [BankAppInfo](../index.md)

## Properties

| Name | Summary |
|---|---|
| [resolveInfo](resolve-info.md) | [core]<br>val [resolveInfo](resolve-info.md): ResolveInfo |
